> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soyab.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Theiving



## OpenAPI

````yaml cherrytree/openapi.json get /theiving
openapi: 3.1.0
info:
  title: CherryTree API
  description: An API created by decompiling the CherryTree Android App
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://cherrytree.soyab.uk
security: []
paths:
  /theiving:
    get:
      summary: Theiving
      responses:
        '200':
          description: 200 Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Theiving'
components:
  schemas:
    Theiving:
      type: object
      properties:
        total:
          type: number
        results:
          items:
            type: object
            properties:
              id:
                type: number
              theivingLocation:
                type: string
              theivingExp:
                type: number
              theivingLevel:
                type: number
              theivingSuccess:
                type: number
              theivingDamage:
                type: number
              theivingCoins:
                type: number
              drops:
                type: array
                items:
                  type: object
                  properties:
                    dropId:
                      type: number
                    itemId:
                      type: number
                    name:
                      type: string
                    rarity:
                      type: string
                    baseChance:
                      type: number
                    luckChance:
                      type: number
                    extremeLuckChance:
                      type: number
                  required:
                    - dropId
                    - itemId
                    - name
                    - rarity
                    - baseChance
                    - luckChance
                    - extremeLuckChance
            required:
              - id
              - theivingLocation
              - theivingExp
              - theivingLevel
              - theivingSuccess
              - theivingDamage
              - theivingCoins
              - drops
      required:
        - total
        - results

````